gi-gsk-4.0.9: Gsk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gsk.Objects.TextureNode

Contents

- Exported types
- Methods
  - getTexture
  - new

Description

A render node for a `GdkTexture`.

Synopsis

- newtype TextureNode = TextureNode (ManagedPtr TextureNode)
- class (BoxedPtr o, TypedObject o, IsDescendantOf TextureNode o) => IsTextureNode o
- toTextureNode :: (MonadIO m, IsTextureNode o) => o -> m TextureNode
- textureNodeGetTexture :: (HasCallStack, MonadIO m, IsTextureNode a) => a -> m Texture
- textureNodeNew :: (HasCallStack, MonadIO m, IsTexture a) => a -> Rect -> m TextureNode

# Exported types

newtype TextureNode Source #

Memory-managed wrapper type.

Constructors

TextureNode (ManagedPtr TextureNode) |

#### Instances

Instances details

Eq TextureNode Source # |
Instance details Defined in GI.Gsk.Objects.TextureNode Methods (==) :: TextureNode -> TextureNode -> Bool Source # (/=) :: TextureNode -> TextureNode -> Bool Source #
BoxedPtr TextureNode Source # |
Instance details Defined in GI.Gsk.Objects.TextureNode Methods boxedPtrCopy :: TextureNode -> IO TextureNode Source # boxedPtrFree :: TextureNode -> IO () Source #
ManagedPtrNewtype TextureNode Source # |
Instance details Defined in GI.Gsk.Objects.TextureNode Methods toManagedPtr :: TextureNode -> ManagedPtr TextureNode Source #
TypedObject TextureNode Source # |
Instance details Defined in GI.Gsk.Objects.TextureNode Methods glibType :: IO GType Source #
HasParentTypes TextureNode Source # |
Instance details Defined in GI.Gsk.Objects.TextureNode
type ParentTypes TextureNode Source # |
Instance details Defined in GI.Gsk.Objects.TextureNode type ParentTypes TextureNode = '[RenderNode]

class (BoxedPtr o, TypedObject o, IsDescendantOf TextureNode o) => IsTextureNode o Source #

Type class for types which can be safely cast to `TextureNode`, for instance with `toTextureNode`.

#### Instances

Instances details

(BoxedPtr o, TypedObject o, IsDescendantOf TextureNode o) => IsTextureNode o Source # |
Instance details Defined in GI.Gsk.Objects.TextureNode

toTextureNode :: (MonadIO m, IsTextureNode o) => o -> m TextureNode Source #

Cast to `TextureNode`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

draw, ref, serialize, unref, writeToFile.

#### Getters

getBounds, getChildren, getNodeType, getOpaqueRect, getTexture.

#### Setters

None.

## getTexture

textureNodeGetTexture Source #

Arguments

:: (HasCallStack, MonadIO m, IsTextureNode a) |
=> a | `node`: a `GskRenderNode` of type `RenderNodeTypeTextureNode`
-> m Texture | Returns: the `GdkTexture`

Retrieves the `GdkTexture` used when creating this `GskRenderNode`.

## new

textureNodeNew Source #

Arguments

:: (HasCallStack, MonadIO m, IsTexture a) |
=> a | `texture`: the `GdkTexture`
-> Rect | `bounds`: the rectangle to render the texture into
-> m TextureNode | Returns: A new `GskRenderNode`

Creates a `GskRenderNode` that will render the given `texture` into the area given by `bounds`.

Note that GSK applies linear filtering when textures are scaled and transformed. See `TextureScaleNode` for a way to influence filtering.